<ion-header>
</ion-header>

<ion-content>
  <div class="logoBar">
    <img src="assets/icon-credentials-employment-pass.svg">
    <span>ProximaXCity ID</span>
    <ul>
      <li (click)="checkResult('hard')">Hard Verification</li>
      <li (click)="checkResult('light')">Light Verification</li>
    </ul>
  </div>

  <div class="entertainment">
    <div class="enterTextCover">
      <div class="enterText">
        <h3>Activate Two - Factor Authentication</h3>
      </div>
    </div>
    
    <div class="formCover">

      <!--------------------------- Step 1 ------------------------------>
      <div class="form" *ngIf="step1">
        <div class="formHeader">Step 1. Register</div>
        <div class="formContent">
          <fieldset>
            <legend> Name </legend>
            <ion-input [(ngModel)]="name"></ion-input>
          </fieldset>
    
          <fieldset>
            <legend> Account </legend>
            <ion-input [(ngModel)]="account"></ion-input>
          </fieldset>
          
          <div *ngIf="warning" style="color: red">
            <p>*Fill out the form above to create an account</p>
          </div>
          <div class="btnContinue" (click)="active2FA()">
            <ion-button>Active</ion-button>
          </div>
        </div> 
      </div>

      <!--------------------------- Step 2 ------------------------------>
      <div class="form" *ngIf="step2">
        <div class="formHeader">Step 2. Stored 2FA</div>
        <div class="formContent">
          <div class="qrCode" *ngIf="showQRCode">
            <img [src]="qrImg" >
          </div>
          
          <p class="deeplink" *ngIf="showQRCode">Click on QR code to open your SiriusID App</p>
          <p class="scanText" *ngIf="showQRCode">Scan the QR Code with SiriusID App</p>

          <div class="btnContinue" (click)="enable(true)" *ngIf="!active">
            <ion-button>Enable 2FA</ion-button>
          </div>

          <div class="btnContinue" (click)="enable(false)" *ngIf="active">
            <ion-button>Disable 2FA</ion-button>
          </div>
        </div>
      </div>
    </div>
  </div>
</ion-content>
